## ecasound documentation - manual pages

# ecatools

## 09.04.2001

## NAME

ecatools - audio processing utils based on ecasound

## SYNOPSIS

ecaplay file1 [ file2,...,fileN ]

ecaconvert .extension file1 [ file2,...,fileN ]

ecafixdc file1 [ file2,...,fileN ]

ecanormalize file1 [ file2,...,fileN ]

ecasignalview [ options ] [ input ] [ output ]

## DESCRIPTION

Ecatools are simple command line utils that do various audio processing tasks. Most of them support batch processing. They all use the ecasound engine (libecasound).

ECAPLAY

A simple command-line tool that plays input files using the default output specified in ~/.ecasoundrc. Note! You can abort ecaplay at any time by pressing Ctrl-C. If you are playing multiple files, this will stop the current file and begin playing the next one. If you want to abort playing immediately instead of skipping to the next file, press Ctrl-C twice in short succession (around one second).

ECACONVERT

A tool for converting a set of files to a common target format. This target format is given as the first command line argument, and its syntax is .ext.

ECAFIXDC

A simple command-line tool for fixing DC-offset.

ECANORMALIZE

A simple command-line tool for normalizing sample volume. Finds out how much input file can be amplified without clipping and, if necessary, does the amplification.

ECASIGNALVIEW

Ecasignalview is meant for monitoring signal amplitude and peak statistics. It accepts the following options:

input
  The first option not starting with a '-' is interpreted as input string. This can be a device or a filename. All formats supported by libecasound are accepted. Defaults to '/dev/dsp'.

output
  Similarly to input, second option not starting with a '-' is interpreted as output. Defaults to 'null'.

-b:buffersize
  Buffersize in sample frames. Defaults to 128.

-c
  Enable cumulative mode. Counters are not reseted after refresh.

-d
  Enable debug mode.

-f:format_string
  Specify default audio format. See ecasound(1) for details.

-r:rate_msec
  Specify screen refresh rate in milliseconds.

## FILES

~/.ecasoundrc The default ecasound resource file. If the file doesn't exist, it is created with some default values. See ecasoundrc(5).

## SEE ALSO

ecasound (1), "HTML docs in the Documentation subdirectory"

## AUTHOR

Kai Vehmanen, <kaiv@wakkanet.fi>